MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026213Open CASCADE[OCCT] OCCT:Visualizationpublic2015-05-12 15:082017-09-29 16:28
Reportervpa 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0026213: Visualization - replace sequence in Select3D_SensitiveGroup
DescriptionIt is necessary to replace NCollection_Sequence, used for storing sensitive entities in Select3D_SensitiveGroup, by NCollection_IndexedMap to provide more effective and thread-safe access to sub-entities.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0068156)
git (administrator)
2017-07-10 13:41

Branch CR26213 has been created by kgv.

SHA-1: 535b9738959f507593c0407735e52d3202bf4f3c


Detailed log of new commits:

Author: kgv
Date: Mon Jul 10 13:40:54 2017 +0300

    0026213: Visualization - replace sequence in Select3D_SensitiveGroup
    
    NCollection_IndexedMap is now used instead of NCollection_Sequence within Select3D_SensitiveGroup.
(0068157)
kgv (developer)
2017-07-10 13:42

Please test the patch.
(0068185)
mkv (tester)
2017-07-11 13:09

Dear BugMaster,
Branch CR26213 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 535b9738959f507593c0407735e52d3202bf4f3c

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1135

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total CPU difference: 19598.21999999999 / 19289.600000000315 [+1.60%]
Total MEMORY difference: 92473162 / 91877576 [+0.65%]
products component :
Total CPU difference: 6489.560000000062 / 6487.750000000069 [+0.03%]
Total MEMORY difference: 37612494 / 37648329 [-0.10%]
Testing on Windows:
occt component :
Total CPU difference: 17775.705546098652 / 17787.234019998614 [-0.06%]
Total MEMORY difference: 59029173 / 59031436 [-0.00%]
products component :
Total CPU difference: 6664.019517800074 / 6584.849010300061 [+1.20%]
Total MEMORY difference: 27877028 / 28099545 [-0.79%]

There are no differences in images found by testdiff.
(0068186)
mkv (tester)
2017-07-11 13:10

Dear BugMaster,
Branch CR26213 from occt git-repository is TESTED.
(0068331)
git (administrator)
2017-07-17 10:05

Branch CR26213 has been deleted by kgv.

SHA-1: 535b9738959f507593c0407735e52d3202bf4f3c

- Related Changesets
occt: master 7f5945d6
Timestamp: 2017-07-10 10:40:54
Author: kgv
Committer: bugmaster
Details ] Diff ]
0026213: Visualization - replace sequence in Select3D_SensitiveGroup

NCollection_IndexedMap is now used instead of NCollection_Sequence within Select3D_SensitiveGroup.
mod - src/NCollection/NCollection_IndexedMap.hxx Diff ] File ]
mod - src/Select3D/FILES Diff ] File ]
add - src/Select3D/Select3D_IndexedMapOfEntity.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveGroup.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveGroup.hxx Diff ] File ]
mod - src/StdSelect/StdSelect_BRepSelectionTool.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-05-12 15:08 vpa New Issue
2015-05-12 15:08 vpa Assigned To => kgv
2015-05-12 15:08 vpa Assigned To kgv => vpa
2015-05-12 15:08 vpa Status new => assigned
2015-11-17 16:15 kgv Severity minor => feature
2015-11-17 16:15 kgv Target Version 7.0.0 => 7.1.0
2016-10-25 09:42 kgv Target Version 7.1.0 => 7.2.0
2017-01-02 11:38 kgv Assigned To vpa => kgv
2017-07-10 11:41 kgv Relationship added related to 0028801
2017-07-10 13:41 git Note Added: 0068156
2017-07-10 13:42 kgv Note Added: 0068157
2017-07-10 13:42 kgv Assigned To kgv => bugmaster
2017-07-10 13:42 kgv Severity feature => integration request
2017-07-10 13:42 kgv Status assigned => resolved
2017-07-10 13:42 kgv Description Updated View Revisions
2017-07-10 13:42 kgv Steps to Reproduce Updated View Revisions
2017-07-10 13:42 kgv Status resolved => reviewed
2017-07-10 13:48 mkv Assigned To bugmaster => mkv
2017-07-10 13:51 mkv Test case number => Not needed
2017-07-11 13:09 mkv Note Added: 0068185
2017-07-11 13:10 mkv Note Added: 0068186
2017-07-11 13:10 mkv Assigned To mkv => bugmaster
2017-07-11 13:10 mkv Status reviewed => tested
2017-07-14 13:55 bugmaster Changeset attached => occt master 7f5945d6
2017-07-14 13:55 bugmaster Status tested => verified
2017-07-14 13:55 bugmaster Resolution open => fixed
2017-07-17 10:05 git Note Added: 0068331
2017-09-29 16:18 aiv Fixed in Version => 7.2.0
2017-09-29 16:28 aiv Status verified => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker